XtAppSetFallbackResources(3)

NAME
XtAppSetFallbackResources - set fallback resources

SYNTAX

void XtAppSetFallbackResources(XtAppContext app_context, String* specification_list);

ARGUMENTS

app_context
    Specifies the application context.

specification_list
    Specifies a NULL-terminated list of resource specifications to pre-load the database, or NULL.

DESCRIPTION
Each entry in specification_list points to a string in the format following a call to when a resource database is being created for a particular screen and the Intrinsics are not able to find or read an application-specific class resource file and if specification_list is not NULL the resource specification in specification_list will be merged into the screen resource database in place of the application-specific class resource file. is not required to copy specification_list; the caller must ensure that the contents of the list and the strings addressed by the list remain valid until all displays are initialized or until is called again. The value NULL for specification_list removes any previous fallback resource specification for the application context. The intended use for fallback resources is to provide a minimal number of resources that will make the application usable (or at least terminate with helpful diagnostic messages) when some problem exists in finding and loading the application defaults file.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface